For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Channels
    • Orders
    • Products
    • Inventory
    • Receiving
    • Returns
    • Webhooks
      • POSTCreate a new webhook subscription
      • GETGet Webhooks
      • DELDelete an existing webhook subscription
    • Locations
    • OpenAPI spec
LogoLogo
API ReferenceWebhooks

Get Webhooks

||View as Markdown|
GET
/2.0/webhook
GET
/2.0/webhook
$curl https://api.shipbob.com/2.0/webhook \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "created_at": "2019-08-24T14:15:22Z",
4 "enabled": true,
5 "id": 12345,
6 "subscription_url": "http://example.com",
7 "topic": "order_shipped"
8 }
9]
All parameters are AND filters
Was this page helpful?
Previous

Create a new webhook subscription

Next

Delete an existing webhook subscription

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

TopicstringOptional
Topic of the webhooks requested
PageintegerOptional0-2147483647
Page of Webhooks to get
LimitintegerOptional1-250
Amount of Webhooks per page to request

Response headers

Page-Numberstring
Number of the current page
Total-Pagesstring
Total number of pages of results
Total-Countstring
Total number of results
Page-Sizestring
Number of results per page
Next-Pagestring
The href of the next page of results, if there is a next page

Response

Success
created_atdatetime
Timestamp the webhook subscription was created
enabledboolean
Indicates if the webhook subscription is enabled or not
idinteger
ID of the webhook subscription
subscription_urlstring or nullformat: "uri"
URL subscription events will be posted to
topicenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error